package com.dji.sample.media.service;

import com.dji.sample.media.model.MediaFileCountDTO;
import com.dji.sdk.cloudapi.device.CameraModeEnum;

/**
 * @author sean
 * @version 0.2
 * @date 2021/12/9
 */
public interface IMediaRedisService {

    void setMediaCount(String gatewaySn, String jobId, MediaFileCountDTO mediaFile);

    MediaFileCountDTO getMediaCount(String gatewaySn, String jobId);

    boolean delMediaCount(String gatewaySn, String jobId);

    boolean detMediaCountByDeviceSn(String gatewaySn);

    void setMediaHighestPriority(String gatewaySn, MediaFileCountDTO mediaFile);

    MediaFileCountDTO getMediaHighestPriority(String gatewaySn);

    boolean delMediaHighestPriority(String gatewaySn);

    void setCameraMode(String gatewaySn, CameraModeEnum cameraModeEnum);

    CameraModeEnum getCameraMode(String gatewaySn);

    boolean delCameraMode(String gatewaySn);

    void setMediaFilePath(String gatewaySn, String filePath);

    String getMediaFilePath(String gatewaySn);

    boolean delMediaFilePath(String gatewaySn);
}
